<template>
  <header>
    <div>
      <RouterLink
        v-if="Boolean(backUrl)"
        :to="backUrl"
        class="d-inline-flex align-items-center text-decoration-none mb-2"
      >
        <IconBack class="me-2" />
        <span class="text-body">{{ backTitle }}</span>
      </RouterLink>
      <h1>{{ title }}</h1>
    </div>
    <slot></slot>
  </header>
</template>

<script setup>
import IconBack from "@/components/icons/IconBack.vue";

defineProps({
  title: { type: String, required: true },
  backTitle: { type: String, required: true },
  backUrl: { type: String },
});
</script>
